Organization Themes
Set or clear a Workspace theme override
PUT
/theme-assignments/{workspace_id}Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
workspace_id*string
Workspace ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X PUT "https://example.com/theme-assignments/string" \ -H "Content-Type: application/json" \ -d '{}'{ "$schema": "https://example.com/api/v1/schemas/ThemeSettings.json", "assignments_locked": true, "can_manage_organization": true, "can_manage_workspace": true, "effective_selection": { "id": "string", "kind": "built_in", "version": 1 }, "organization_default": { "id": "string", "kind": "built_in", "version": 1 }, "organization_id": "string", "workspace_id": "string", "workspace_selection": { "id": "string", "kind": "built_in", "version": 1 }}